dbamp
Prev | Orchestra Opcodes and Operators | Next

## dbamp

dbamp — Returns the decibel equivalent of the raw amplitude x.

## Description

Returns the decibel equivalent of the raw amplitude x.

## Syntax

    dbamp(x)  (init-rate or control-rate args only)

## Examples

Here is an example of the dbamp opcode. It uses the file dbamp.csd.

Example 97. Example of the dbamp opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o dbamp.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      iamp = 30000
      idb = dbamp(iamp)

      print idb
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    instr 1:  idb = 89.542

## See Also

ampdb, ampdbfs, dbfsamp

## Credits

Example written by Kevin Conder.

Prev | Up | Next
db | Home | dbfsamp